Page MenuHomePhabricator

Sort skins by their ID and default position, not by their localised name
Closed, ResolvedPublic

Description

Given that some skins might be untranslatable (such as MinervaNeue), it makes more sense to sort them by the following structure:

  • default skin
  • other ones (by their skin ID)

Because currently, for example, in the Russian Wikipedia because of the preference of Latin sorting to Cyrillic MinervaNeue gets to be a first option, after it are MonoBook and Timeless, and only then Vector (the default skin). I think more sense would be in a more manual sorting that would set the default skin first and then all the options regardless of their translated name.

Event Timeline

stjn created this task.Nov 22 2017, 2:10 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2017, 2:10 AM

I definitely agree that the default skin should be first.

matmarex claimed this task.Dec 7 2017, 7:00 PM

Change 396083 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] Preferences: Sort list of skins by internal name

https://gerrit.wikimedia.org/r/396083

Change 396084 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] Preferences: Display the default skin first in the list

https://gerrit.wikimedia.org/r/396084

Dvorapa added a subscriber: Dvorapa.Dec 7 2017, 7:29 PM

Change 396083 merged by jenkins-bot:
[mediawiki/core@master] Preferences: Sort list of skins by internal name

https://gerrit.wikimedia.org/r/396083

Change 396084 merged by jenkins-bot:
[mediawiki/core@master] Preferences: Display the default skin first in the list

https://gerrit.wikimedia.org/r/396084

I understand placing default skin first, but I don't understand what sense does it make to sort the rest by internal name, as opposed to regular sort order or sort by popularity.

matmarex closed this task as Resolved.Dec 15 2017, 1:26 AM
matmarex removed a project: Patch-For-Review.

I understand placing default skin first, but I don't understand what sense does it make to sort the rest by internal name, as opposed to regular sort order or sort by popularity.

@stjn says (in task description) it was awkward in Russian. The options looked like this before the changes:

While I can see value for the users in default as first, I don't think either that ordering by ID is of any value than for at maximum developers. It . Popularity (users) could be a good indicator if hint about it is given.

Or just asking a translator to translate all the skin names?